Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventsPause

Put event logging into “paused” mode (see `PetscLogEventsPause()` for details.) for a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventsPause(PetscLogHandler handler)

Not collective

## Input Parameter

- handler - a `PetscLogHandler`

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogEventsPause()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling, `PetscLogHandlerEventsResume()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventsPause_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerEventsPause_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages